LIVE-BUILD(1)

NOMBRE
live-build - Componentes de Construcción del Sistema en vivo

SINOPSIS
lb binary-includes [--verbose]

lb binary-includes [--help]
lb binary-includes [--version]

DESCRIPCIÓN
live-build contiene los componentes para construir un sistema en vivo a partir de un directorio de configuración.

El comando lb binary-includes copia los ficheros «include» durante la etapa «binary».

ESPECIFICACIÓN
lb binary-includes copia todos los ficheros «include» que encuentra en los directorios config/includes y config/includes.binary dentro del directorio de configuración.

No es necesario que los ficheros «include» tengan un propietario o permisos especiales. lb binary-includes automáticamente asignará los ficheros al superusuario root en el momento de copiarlos, mientras que los permisos iniciales de los ficheros se mantienen intactos. Se puede establecer propietarios específicos de los ficheros utilizando un script gancho, ver lb-binary-hooks(1) para más información acerca de los scripts gancho.

Los ficheros «include» del directorio config/includes se copian en primer lugar, los del directorio config/includes.binary se copian en segundo lugar. Los ficheros existentes en los directorios «binary» e «include» se sobreescriben sin previo aviso, el último fichero reemplaza al anterior.

OPCIONES

--verbose
    establece la opción verbose (por defecto: False).

-h, --help
    muestra el mensaje de ayuda y sale.

--version
    muestra el número de versión del programa y sale.

FICHEROS

config/includes:
    ficheros «include» genéricos.

config/includes.binary:
    ficheros «include» específicos para la etapa «binary».

binary:
    directorio en el que se copian los ficheros «include».

VER TAMBIÉN

lb-bootstrap-includes(1)

lb-chroot-includes(1)

lb-source-includes(1)

PÁGINA WEB
Se puede encontrar más información acerca de live-build y el proyecto Live Systems en la página web <http://live-systems.org/> y en el manual en <http://live-systems.org/manual/>.

ERRORES
Se puede notificar los fallos enviando un informe de errores sobre el paquete live-build en el Bug Tracking System en <http://bugs.debian.org/> o escribiendo un mensaje a la lista de correo de Live Systems a la dirección <debian-live@lists.debian.org>.

AUTOR
live-build fue escrito por Daniel Baumann <mail@daniel-baumann.ch>.